* {
    box-sizing: border-box;
}

#wrap {min-height: 100%;}
#main {overflow: hidden;}
#footer {position: relative; clear:both;}

.home-slider-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.home-slider-mobile-container {display: none;}

.home-slider {
    width: 100%;
}

.home-slider a:hover img {opacity: 1 !important;}

.home-slide-item {
    width: 100%;
}

.home-slide-image {
    width: 100%;
    display: block;
    object-fit: cover;
}

.home-slider-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #725699;
    padding: 10px 2%;
    background: none;
    border: none;
    font-size: 30px;
    cursor: pointer;
    z-index: 10;
    transition: background 0.3s;
}

.home-slider-container .tns-controls {z-index: 99;}
.home-slider-mobile-container .tns-controls button, .home-slider-container .tns-controls button {width: 19px; height: 33px;}
.home-slider-mobile-container .tns-controls button:first-child, .home-slider-container .tns-controls button:first-child {background: url('images/arrow-slide-prev.png') no-repeat 0 0; left: 5%;}
.home-slider-mobile-container .tns-controls button:nth-child(2), .home-slider-container .tns-controls button:nth-child(2) {background: url('images/arrow-slide-next.png') no-repeat 0 0; right: 5%;}
.home-slider-mobile-container .tns-controls button:hover, .home-slider-container .tns-controls button:hover {opacity: 0.7;}

.slider-prev {
    left: 20px;
}

.slider-next {
    right: 20px;
}

.background-wrapper {
    width: 100%;
    height: 110vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
}

.background-slider {
    display: flex;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease; 
}

.content {
    overflow: auto;
    height: 100vh; 
}

.background-image {
    flex-shrink: 0;
    background-size: cover; 
    background-position: center; 
    background-repeat: no-repeat;
    width: 100%;
    height: 110vh; 
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.overlay-banner-image {
    position: absolute;
    top: 320px;
    left: 0;
    width: 100%; 
    height: 100%;
    background-image: url('images/wrapper-banner.png'); 
    background-size: contain; 
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10; 
    pointer-events: none;
}

.arrow-button {
    background: transparent;
    border: none;
    font-size: 30px;  
    color: #725699;  
    cursor: pointer;
    padding: 0;
    position:absolute;
}

.arrow-button.left {
    left: 30px;
    position: absolute;
}

.arrow-button.right {
    right: 30px;
    position: absolute;
}

.arrow-button:hover {
    opacity: 0.8;
}

.pagination-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

.pagination {
    list-style: none;
    display: flex;
    align-items: center;
    padding: 0;
    font-family: var(--nunitosans);
    font-size: 17px;
    font-weight: 600;
}

/* Wrapper untuk nomor halaman agar tetap sejajar */
.pagination-wrapper {
    display: flex;
    align-items: center;
    position: relative;
}

/* Styling nomor halaman */
.pagination li {
    margin: 0 5px;
}

.pagination a, .pagination span {
    text-decoration: none;
    color: #939598;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px 10px;
}

/* Styling untuk nomor halaman aktif */
.pagination .active span {
    color: #6e5095;
    border-bottom: 3px solid #6e5095;
}

/* Styling untuk tombol previous & next */
.pagination-arrow {
    width: 40px;
    height: 40px;
}

/* Styling untuk tombol disabled */
.pagination .disabled span {
    color: #ccc;
    opacity: 0.5;
}

/* Garis ungu di bawah nomor halaman */
.pagination-divider {
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #6e5095;
}

.overlay-image-wrapper {
    width: 45%; 
    z-index: 1;
    position: relative;
    top: -155px;
}

.overlay-image {
    background-size: cover; background-position: center; width: 68%; height: 55vw; margin-left: 20%; margin-top: -200px; background-repeat: no-repeat;
}

@media screen and (max-width: 1024px) {
	
}

@media screen and (max-width: 900px) {
	
}

@media screen and (max-width: 800px) {
	
}

@media screen and (max-width: 700px) {
	.overlay-image-wrapper {top: -85px;}
}

@media screen and (max-width: 600px) {
    .overlay-image-wrapper {width: 55%;}
	.home-slider-mobile-container {display: block;}
    .home-slider-container {display: none};
}

@media screen and (max-width: 550px) {
	.overlay-image-wrapper {width: 60%;}
}

@media screen and (max-width: 500px) {
	.overlay-image-wrapper {width: 65%;}
}

@media screen and (max-width: 450px) {
	.overlay-image-wrapper {width: 70%;}
}

@media screen and (max-width: 400px) {
	.overlay-image-wrapper {width: 75%;}
}

@media screen and (max-width: 350px) {
	.overlay-image-wrapper {width: 80%;}
}